/v1/devices/inventory

Prev Next
Get
/v1/devices/inventory
Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Query parameters
notAssigned
boolean
Exampletrue
Responses
200

OK

Expand All
object
inventory
Array of object (onboardingHardwareInventory)
object
assignedOn
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
createdOn
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
deviceModel
string
Exampleexample string
deviceSerial
string
Exampleexample string
ekCert
string
Exampleexample string
enterpriseId
integer (int64)
Example1234567891011
enterpriseName
string
Exampleexample string
gekPub
string
Exampleexample string
isCore
boolean
Exampletrue
isNew
boolean
Exampletrue
isRequested
boolean
Exampletrue
parentEnterpriseId
integer (int64)
Example1234567891011
parentEnterpriseName
string
Exampleexample string
role
string
ExampleENUM_VALUE
useOauth
boolean
Exampletrue
uuid
string
Exampleexample string
pageInfo
object (commonPageInfo)
currentPage
integer (int32)

The page number we are currently on (required)

Minimum0
Example1
endCursor
string

Cursor pointing to the last record on the current page

Examplexxxxxxy
hasNextPage
boolean

An indicator whether there is a page after this one in the resultset based on current position

Exampletrue
hasPrevPage
boolean

An indicator whether there is a page before this one in the resultset based on current position

Exampletrue
startCursor
string

Cursor pointing to the first record on the current page

Examplexxxxxx
totalPages
integer (int32)

The number of pages in the complete resultset based on the current length of the page (required)

Minimum0
Example4
totalRecords
integer (int32)

Describes the total number of records in the complete resultset (required)

Minimum0
Example400